%global srcname pykdtree

Name:           python-%{srcname}
Version:        1.3.1
Release:        4%{?dist}
Summary:        Fast kd-tree implementation with OpenMP-enabled queries

License:        LGPLv3+
URL:            https://github.com/storpipfugl/pykdtree
Source0:        https://github.com/storpipfugl/pykdtree/archive/v%{version}.tar.gz

BuildRequires:  gcc

%global _description \
pykdtree is a kd-tree implementation for fast nearest neighbour search in \
Python. The aim is to be the fastest implementation around for common use cases \
(low dimensions and low number of neighbours) for both tree construction and \
queries.

%description %{_description}


%package -n     python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(cython)

Requires:       python3dist(numpy)

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}

# Remove bundled egg-info
rm -rf %{srcname}.egg-info

# Remove the cythonized files in order to regenerate them during build.
rm $(grep -rl '/\* Generated by Cython')

%build
cython pykdtree/kdtree.pyx
%py3_build


%install
%py3_install


%check
%{__python3} setup.py test


%files -n python3-%{srcname}
%license LICENSE.txt
%{python3_sitearch}/%{srcname}
%{python3_sitearch}/%{srcname}-%{version}-py?.?.egg-info


%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jun 01 2019 Charalampos Stratakis <cstratak@redhat.com> - 1.3.1-3
- Recythonize the sources

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Jul 15 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.3.1-1
- Initial package.
